package com.memorynotfound.pdf.itext;

import com.itextpdf.text.DocumentException;
import com.itextpdf.text.pdf.PdfReader;
import com.itextpdf.text.pdf.PdfStamper;
import com.itextpdf.text.xml.xmp.XmpWriter;
import java.io.ByteArrayOutputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.HashMap;

public class UpdateMetaData {

    public static void main(String... args) throws IOException, DocumentException {

        // read existing pdf document
        PdfReader reader = new PdfReader("meta-data.pdf");
        PdfStamper stamper = new PdfStamper(reader, new FileOutputStream("updated-meta-data.pdf"));

        // get and edit metadata
        HashMap<String, String> info = reader.getInfo();
        info.put("Subject", "Hello World");
        info.put("Author", "your name");
        info.put("Keywords", "iText pdf");
        info.put("Title", "Hello World stamped");
        info.put("Creator", "your name");
        info.put("Producer", "sdfmlkqsdjflqsjf");

        // add updated metadata to pdf
        stamper.setMoreInfo(info);

        // update xmp metadata
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        XmpWriter xmp = new XmpWriter(baos, info);
        xmp.close();
        stamper.setXmpMetadata(baos.toByteArray());
        stamper.close();
    }
}
